Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 719058 - media-gfx/fontforge fails tests
Summary: media-gfx/fontforge fails tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: PPC64 Linux
: Normal normal (vote)
Assignee: Mike Gilbert
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2019-15785, CVE-2020-5496
  Show dependency tree
 
Reported: 2020-04-23 14:09 UTC by Agostino Sarubbo
Modified: 2020-04-27 23:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,344.18 KB, text/plain)
2020-04-23 14:09 UTC, Agostino Sarubbo
Details
LastTest.log (LastTest.log,280.10 KB, text/plain)
2020-04-24 10:19 UTC, Agostino Sarubbo
Details
build.log power9 fontforge-20190801 (file_719058.txt,289.30 KB, text/plain)
2020-04-25 04:13 UTC, Michael 'veremitz' Everitt
Details
testsuite.log (file_719058.txt,161.68 KB, text/plain)
2020-04-25 04:17 UTC, Michael 'veremitz' Everitt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-04-23 14:09:38 UTC
This is an auto-filled bug because media-gfx/fontforge fails tests.
The issue was originally discovered on ppc64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.
Comment 1 Agostino Sarubbo gentoo-dev 2020-04-23 14:09:46 UTC
Created attachment 634194 [details]
build.log

build log and emerge --info
Comment 2 Mike Gilbert gentoo-dev 2020-04-23 14:13:03 UTC
 *   Tests failed. When you file a bug, please attach the following file: 
 * 	/var/tmp/portage/media-gfx/fontforge-20200314/work/fontforge-20200314_build/Testing/Temporary/LastTest.log
Comment 3 Agostino Sarubbo gentoo-dev 2020-04-23 14:38:56 UTC
I will provide the requested data but in order to avoid duplicates, please do not close. TY
Comment 4 Agostino Sarubbo gentoo-dev 2020-04-24 10:19:46 UTC
Created attachment 634360 [details]
LastTest.log

LastTest.log
Comment 5 Mike Gilbert gentoo-dev 2020-04-24 16:18:47 UTC
I have reported the issue upstream.

https://github.com/fontforge/fontforge/issues/4295

Regarding stabilization, I leave that to the arch team to decide, but keep in mind that this is blocking a security bug.

It seems that only 4 out of 101 tests are failing. Do the tests fail on ppc64 with the previous version of fontforge?
Comment 6 Michael 'veremitz' Everitt 2020-04-25 04:13:03 UTC
Created attachment 634464 [details]
build.log power9 fontforge-20190801

Ok on a ppc64 [BE] VPS running tests for media-gfx/fontforge-20190801 I get two failed tests:

 75: Ligatures and Fractions Table Lookups (with FontForge) FAILED (testsuite.at:147)                                             
 76: Ligatures and Fractions Table Lookups (with Python) FAILED (testsuite.at:147)       

So it looks like we have a regression here.
Comment 7 Michael 'veremitz' Everitt 2020-04-25 04:17:14 UTC
Created attachment 634466 [details]
testsuite.log
Comment 8 Georgy Yakovlev gentoo-dev 2020-04-25 12:25:58 UTC
I've tested 20200314 on little-endian:

100% tests passed, 0 tests failed out of 101 on little-endian ppc64.

I'd say go ahead with stabilization if it's security related. only 2 failing tests on big endian is not good, but not the end of the world.
Comment 9 Georgy Yakovlev gentoo-dev 2020-04-27 15:08:55 UTC
with patch from https://github.com/fontforge/fontforge/pull/4297

tests now pass 100% on ppc64be
Comment 10 Larry the Git Cow gentoo-dev 2020-04-27 23:55:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d17321f41ab64f54c28b3a22e1e14233acaf6573

commit d17321f41ab64f54c28b3a22e1e14233acaf6573
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: 2020-04-27 23:55:06 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-04-27 23:55:06 +0000

    media-gfx/fontforge: fix python extension on big-endian
    
    Closes: https://bugs.gentoo.org/719058
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 .../fontforge/files/20200314-big-endian.patch      | 298 +++++++++++++++++++++
 media-gfx/fontforge/fontforge-20200314.ebuild      |   1 +
 2 files changed, 299 insertions(+)